Subject: bug#19101: 25.0.50; vc-print-log puts wrong buffer into log-view-mode

From: Ivan Shmakov <[email-masked]>
Date: Wed, 19 Nov 2014 06:53:15 +0000

>>>>> Richard Copley <[email-masked]> writes:

 > Visit a file under Subversion or RCS (not Git or Bazaar) and invoke
 > `vc-print-log'.  The log buffer should be put into log-view-mode, but
 > it isn't.  The buffer visiting the file is put into log-view-mode
 > instead.

	This is likely to be caused by VC assuming that the ‘print-log’
	backend function leaves the log buffer as the current one.
	It doesn’t seem documented, and frankly, I’ve stumbled on that
	myself while working on vc-mw.el.

	My suggestion would be for vc-print-log-internal to explicitly
	set-buffer after (successfully) invoking ‘print-log’.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A